module lewis_module
integer :: NORB,NATOM,ncoeur,nvalence,ndiff,norb2,nsym2,isym2(8) &
,iorb=0,iorbtri=0,isym(8),natom0,nsym,noc=0,jsymt(9),isymt(9) &
,icoeur(8),nocs(8),ivalence(8),nprint,mprint(50),noacs(8)=0
logical :: worb
integer :: ifil_orb
integer itransf(8,8)
Character(100) :: prefix,scforbin,suppdata
Character(100000) :: namel
real(8),allocatable,dimension(:,:) :: &
COORD,ORB,S,s0,orbtri,orb2,coord0,orb3
real(8),allocatable,dimension(:) ::occ,occ2,occact
real(8),allocatable,dimension(:,:) ::pass
character(20),allocatable,dimension(:) :: label_OL,label_OL_temp
character(20),allocatable,dimension(:) :: label_OL0
character(10),allocatable,dimension(:) :: label
character(8),allocatable,dimension(:) :: label0
character(6),allocatable,dimension(:) :: atom
character(4),allocatable,dimension(:) :: atom0,liste_multat1
character(1) :: prefix_label_OL
logical,allocatable,dimension(:)::diff,occupat,active
logical(1),allocatable,dimension(:)::ytest
character(79)::titre2
character(80) symm_sew
character(3) sim(8)
integer,allocatable,dimension(:) :: liste_multat2,itsym,atomsym
integer,allocatable,dimension(:,:) :: nshell
character(1) nums(8)
real(8),allocatable :: orbscf(:,:),occscf(:),dens(:,:)
real(8),allocatable :: work1(:,:),work2(:,:),work3(:,:)
real(8),allocatable :: workl1(:),workl2(:),workl3(:)
integer,allocatable :: iwork(:),iwork1(:)
logical(1),allocatable :: ywork(:)
integer :: nelac=-1,noac=0,frozen(8),delete(8),fermi0(8)=0,ninac=0
real(8) :: enuc
logical ychol
integer,parameter :: max_atoms_in_LO=100
integer,allocatable :: fnat(:)
character(8),allocatable :: fsigpi(:)
character(4) :: atoms_in_LO_tmp(max_atoms_in_LO)
character(4),allocatable :: atoms_in_LO(:,:)
character(4),allocatable :: focvir(:)
integer,allocatable :: fnat2(:)
character(8),allocatable :: fsigpi2(:)
character(4),allocatable :: atoms_in_LO2(:,:)
character(4),allocatable :: focvir2(:)

integer,dimension(8) :: ref_inac,ref_act

integer :: ifil_CP
logical,allocatable :: ycopy(:),ycopy2(:)
character(3) :: only
character(300) :: currdir

end module
